
export const paramTypeOptions: options[] = [
  { label: "系统参数", value: 0 },
  { label: "非系统参数", value: 1 },
];

export type optionsType = "paramType" | "";

export function returnOptions(type: optionsType) {
  if (type === "paramType") {
    return paramTypeOptions;
  }
}

export function returnOptionsLabel(optionsType: optionsType, value: string | number) {
  const options = returnOptions(optionsType);
  if (!options) {
    return "";
  }
  const option = options.find((item) => item.value === value);
  return option ? option.label : "";
}

export interface options {
  label: string;
  value: string | number;
  [property: string]: any;
}
